<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>soundcpu.pb@002A=1F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Course Time"> <comment>Also Max Breakage Bonus</comment>
    <script state="run">
      <action>maincpu.pb@0CD4=E0</action>
      <action>maincpu.pb@0CD5=7F</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@A73C</action>
    </script>
    <script state="run">
      <action>maincpu.mw@A73C=0087</action>
    </script>
    <script state="off">
      <action>maincpu.mw@A73C=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="NOTE - It's best not to use the various paper cheats,"/>
  <cheat desc="especially with invincibility as if you throw too many"/>
  <cheat desc="papers with the one life the game will crash. I'd recommend"/>
  <cheat desc="only using Infinite Papers at most and don't go mad!"/>
  <cheat desc=" "/>

  <cheat desc="Infinite Papers">
    <script state="run">
      <action>maincpu.pb@0CC3=0A</action>
    </script>
  </cheat>

  <cheat desc="No paper bunch changeover delay">
    <script state="run">
      <action>maincpu.pb@0CC4=00</action>
    </script>
  </cheat>

  <cheat desc="Throw all papers as one bunch">
    <script state="run">
      <action>maincpu.pb@0AE6=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0CCA=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0CCB=05</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
